# appOwnerRole

Roles that can be assigned to application owners.

### Examples

```graphql
enum AppOwnerRole {
  Dev
  Business
  Security
  Watcher
}
```

### Enum values

| Enum value | Description                                                   |
| ---------- | ------------------------------------------------------------- |
| Dev        | Development team member responsible for code                  |
| Business   | Business stakeholder responsible for application requirements |
| Security   | Security team member responsible for application security     |
| Watcher    | User with read-only access to monitor the application         |

### References

#### Fields with this object:

* [{} OwnerInfo.roles](/api-documentation/api-reference/api--application/types/objects/owner-info.md)
* [{} GetAppsTagsInputFilter.roles](/api-documentation/api-reference/api--tags/types/inputs/get-apps-tags-input-filter.md)
* [{} AppTagObject.roles](/api-documentation/api-reference/api--tags/types/objects/app-tag-object.md)
* [{} GetAppOwnersByAppIdsAndRoleInput.roles](/api-documentation/api-reference/api--applications-owners/types/inputs/get-app-owners-by-app-ids-and-role-input.md)
* [{} GetAppOwnersByAppIdsAndRoleRes.role](/api-documentation/api-reference/api--applications-owners/types/objects/get-app-owners-by-app-ids-and-role-res.md)
* [{} OwnersByRoleInput.role](/api-documentation/api-reference/api--applications-owners/types/inputs/owners-by-role-input.md)


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.ox.security/api-documentation/api-reference/api--application/types/enums/app-owner-role.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
